Update to rails 3.1.1
authorTom Hughes <tom@compton.nu>
Fri, 7 Oct 2011 18:46:19 +0000 (19:46 +0100)
committerTom Hughes <tom@compton.nu>
Mon, 14 Nov 2011 09:42:56 +0000 (09:42 +0000)
Gemfile
Gemfile.lock
config/environments/production.rb

diff --git a/Gemfile b/Gemfile
index 40a8b66286f95c748805e327856aad8c02f75968..dc777110f0c83533494823659fb894f1e79496d0 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -2,7 +2,7 @@
 source 'http://rubygems.org'
 
 # Require rails
-gem 'rails', '3.1.0'
+gem 'rails', '3.1.1'
 
 # Require the postgres database driver
 gem 'pg'
index c96607d50e51dd644ecd9f47764108c5dcd624eb..31598453c8df4cfdb8eb36c545c3aa9ce337892a 100644 (file)
@@ -2,38 +2,36 @@ GEM
   remote: http://rubygems.org/
   specs:
     SystemTimer (1.2.3)
-    actionmailer (3.1.0)
-      actionpack (= 3.1.0)
+    actionmailer (3.1.1)
+      actionpack (= 3.1.1)
       mail (~> 2.3.0)
-    actionpack (3.1.0)
-      activemodel (= 3.1.0)
-      activesupport (= 3.1.0)
+    actionpack (3.1.1)
+      activemodel (= 3.1.1)
+      activesupport (= 3.1.1)
       builder (~> 3.0.0)
       erubis (~> 2.7.0)
       i18n (~> 0.6)
       rack (~> 1.3.2)
-      rack-cache (~> 1.0.3)
+      rack-cache (~> 1.1)
       rack-mount (~> 0.8.2)
       rack-test (~> 0.6.1)
-      sprockets (~> 2.0.0)
-    activemodel (3.1.0)
-      activesupport (= 3.1.0)
-      bcrypt-ruby (~> 3.0.0)
+      sprockets (~> 2.0.2)
+    activemodel (3.1.1)
+      activesupport (= 3.1.1)
       builder (~> 3.0.0)
       i18n (~> 0.6)
-    activerecord (3.1.0)
-      activemodel (= 3.1.0)
-      activesupport (= 3.1.0)
+    activerecord (3.1.1)
+      activemodel (= 3.1.1)
+      activesupport (= 3.1.1)
       arel (~> 2.2.1)
       tzinfo (~> 0.3.29)
-    activeresource (3.1.0)
-      activemodel (= 3.1.0)
-      activesupport (= 3.1.0)
-    activesupport (3.1.0)
+    activeresource (3.1.1)
+      activemodel (= 3.1.1)
+      activesupport (= 3.1.1)
+    activesupport (3.1.1)
       multi_json (~> 1.0)
     addressable (2.2.6)
     arel (2.2.1)
-    bcrypt-ruby (3.0.1)
     builder (3.0.0)
     coffee-rails (3.1.1)
       coffee-script (>= 2.2.0)
@@ -48,10 +46,10 @@ GEM
     erubis (2.7.0)
     execjs (1.2.9)
       multi_json (~> 1.0)
-    faraday (0.7.4)
+    faraday (0.7.5)
       addressable (~> 2.2.6)
-      multipart-post (~> 1.1.0)
-      rack (< 2, >= 1.1.0)
+      multipart-post (~> 1.1.3)
+      rack (>= 1.1.0, < 2)
     hike (1.2.1)
     httpclient (2.2.1)
     i18n (0.6.0)
@@ -80,8 +78,8 @@ GEM
     polyglot (0.3.2)
     prototype-rails (3.1.0)
       rails (~> 3.1)
-    rack (1.3.3)
-    rack-cache (1.0.3)
+    rack (1.3.4)
+    rack-cache (1.1)
       rack (>= 0.4)
     rack-mount (0.8.3)
       rack (>= 1.0.0)
@@ -92,21 +90,21 @@ GEM
       rack
     rack-test (0.6.1)
       rack (>= 1.0)
-    rails (3.1.0)
-      actionmailer (= 3.1.0)
-      actionpack (= 3.1.0)
-      activerecord (= 3.1.0)
-      activeresource (= 3.1.0)
-      activesupport (= 3.1.0)
+    rails (3.1.1)
+      actionmailer (= 3.1.1)
+      actionpack (= 3.1.1)
+      activerecord (= 3.1.1)
+      activeresource (= 3.1.1)
+      activesupport (= 3.1.1)
       bundler (~> 1.0)
-      railties (= 3.1.0)
+      railties (= 3.1.1)
     rails-i18n-updater (1.0.1)
       actionpack
       activesupport
       rails
-    railties (3.1.0)
-      actionpack (= 3.1.0)
-      activesupport (= 3.1.0)
+    railties (3.1.1)
+      actionpack (= 3.1.1)
+      activesupport (= 3.1.1)
       rack-ssl (~> 1.3.2)
       rake (>= 0.8.7)
       rdoc (~> 3.4)
@@ -118,14 +116,14 @@ GEM
     ruby-openid (2.1.8)
     sanitize (2.0.3)
       nokogiri (< 1.6, >= 1.4.4)
-    sass (3.1.7)
-    sass-rails (3.1.3)
+    sass (3.1.10)
+    sass-rails (3.1.4)
       actionpack (~> 3.1.0)
       railties (~> 3.1.0)
       sass (>= 3.1.4)
       sprockets (~> 2.0.0)
       tilt (~> 1.3.2)
-    sprockets (2.0.0)
+    sprockets (2.0.2)
       hike (~> 1.2)
       rack (~> 1.0)
       tilt (!= 1.3.0, ~> 1.1)
@@ -156,7 +154,7 @@ DEPENDENCIES
   open_id_authentication (>= 1.1.0)
   pg
   prototype-rails
-  rails (= 3.1.0)
+  rails (= 3.1.1)
   rails-i18n-updater
   rinku (>= 1.2.2)
   rmagick
index baa6df644fd347e6eb8728c19c04a9f26dc9a66d..2e10a46a165906c82be39bd0198cf5ab20e8b975 100644 (file)
@@ -15,7 +15,7 @@ OpenStreetMap::Application.configure do
   config.assets.compress = true
 
   # Don't fallback to assets pipeline if a precompiled asset is missed
-  config.assets.compile = true
+  config.assets.compile = false
 
   # Generate digests for assets URLs
   config.assets.digest = true